%{?nodejs_find_provides_and_requires}

%global packagename extendr
%global enable_tests 0

Name: nodejs-%{packagename}
Version: 3.2.2
Release: 1%{?dist}.3
Summary: Utilities for cloning, extending, and de-referencing objects
License: MIT
URL: https://github.com/bevry/extendr
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source1: https://github.com/bevry/extendr/raw/v%{version}/source/test.js
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(editions) >= 1.1.2
BuildRequires: npm(editions) < 2.0.0
BuildRequires: npm(typechecker) >= 4.3.0
BuildRequires: npm(typechecker) < 5.0.0
%if 0%{?enable_tests}
BuildRequires: npm(assert-helpers) >= 4.4.0
BuildRequires: npm(assert-helpers) < 5.0.0
BuildRequires: npm(joe) >= 1.8.0
BuildRequires: npm(joe) < 2.0.0
%endif

%description
Utilities for cloning, extending, and de-referencing objects
in shallow, deep, and safe ways.


%prep
%setup -q -n package
cp %{SOURCE1} source
cp %{SOURCE1} es2015


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js es2015 source \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/node --harmony -e "require('editions').requirePackage(process.cwd(), require, 'test.js')"
%endif


%files
%license LICENSE.md
%doc README.md HISTORY.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Sun Sep 25 2016 Oleg Girko <ol@infoserver.lv> - 3.2.2-1
- Initial package.
